package metadb

import (
	"github.com/go-sql-driver/mysql"
	"github.com/pkg/errors"
)

const (
	DuplicateEntryErr = 1062
)

func IsError(err error, code uint16) bool {
	if err == nil {
		return false
	}
	causeErr := errors.Cause(err)
	sqlErr, ok := causeErr.(*mysql.MySQLError)
	return ok && sqlErr.Number == code
}
